Subject: Re: [patch net-next] devlink: fix port dump cmd type

From: Jakub Kicinski <[email-masked]>
Date: Mon, 19 Feb 2024 12:20:38 -0800

On Mon, 19 Feb 2024 15:13:43 +0000 Simon Horman wrote:
> > Fix it by filling cmd with value DEVLINK_CMD_PORT_NEW.
> > 
> > Skimmed through devlink userspace implementations, none of them cares
> > about this cmd value. Only ynl, for which, this is actually a fix, as it
> > expects doit and dumpit ops rsp_value to be the same.  
> 
> I guess that in theory unknown implementations could exist.
> But, ok :)

I'd also prefer Fixes tag + net. YNL is user space, even if current YNL
specs don't trigger it (I'm speculating that that's why you feel it's
not a fix) someone may end up using YNL + YAML from 6.9 and expect it
to work on 6.6 LTS.
-- 
pw-bot: cr